For the complete documentation index, see llms.txt. This page is also available as Markdown.

Belgeye Etiket Ataması Yapılır

SKG Belgesine etiket atama yapılır.

put
Authorizations
HTTPRequired

API anahtar� giriniz

Body
DocumentUUIDstring · uuidOptional
Tagsstring · uuid[] · nullableOptional
Responses
200

SKG Belgesine etiket atama yapılır.

application/json
booleanOptional
put/Insurances/Tags
PUT /einvoice/Insurances/Tags HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 103

{
  "DocumentUUID": "123e4567-e89b-12d3-a456-426614174000",
  "Tags": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
true
var options = new RestClientOptions("//einsurance/Insurances/Tags")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
var body = @"{" + "\n" +
@"  ""DocumentUUID"": ""<uuid>""," + "\n" +
@"  ""Tags"": [" + "\n" +
@"    ""<uuid>""," + "\n" +
@"    ""<uuid>""" + "\n" +
@"  ]" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//einsurance/Insurances/Tags',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "DocumentUUID": "<uuid>",
  "Tags": [
    "<uuid>",
    "<uuid>"
  ]
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated